function []=CascadeForecastPlotAfterEffect(MedianYForecastAll,Data,Dates,Var,Horizon,LengthOfPast,FirstForecastDate,FigHandle)

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% PURPOSE:  Plots a 'cascade' of rolling forecasts along with the actual data
%
% INPUT:	MedianYForecastAll
%           Data
%           Dates
%           Vars
%           Horizon
%           FirstForecastDate   '1999Q4'
%
% OUTPUT:	
%
% AUTHOR:	Mattias Villani, Research Department, Sveriges Riksbank and 
%                            Department of Statistics, Stockholm University.
%                            E-mail: mattias.villani@riksbank.se.
% 
% FIRST VERSION:  2005-02-03 
% THIS VERSION:   2005-02-03
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

NData=size(Data,1);
NRolling=size(MedianYForecastAll,3);
FirstForecastPeriod=find(Dates==FirstForecastDate);
k=0;
DataLineHandle=plot(Dates(FirstForecastPeriod-LengthOfPast+1:end),Data(FirstForecastPeriod-LengthOfPast+1:end,Var),'r');
set(DataLineHandle,'LineWidth',3)
hold on
Time1=FirstForecastDate;
Time2=Time1+Horizon/4-0.25;
DataStand=FirstForecastPeriod-3;
for t=1:2:NRolling
    DataStand=DataStand+2;
    ForecastLineHandle=plot(Time1-0.25:0.25:Time2,[Data(DataStand,Var);MedianYForecastAll(:,Var,t)],'k');
    set(ForecastLineHandle,'LineWidth',1)
    Time1=Time1+0.5;
    Time2=Time2+0.5;
end
set(gca,'fontsize',8)
box off
grid on
axis tight
